#!/usr/bin/env python
# license removed for brevity
import rospy
from std_msgs.msg import String
from geometry_msgs.msg import Point
import numpy as np
def circle_points():
    #this code publishes waypoints in the shape of a circle
    #the first part initializes the code, and then waits for 48 seconds to
    #let the drone get into a hovering position
    pub = rospy.Publisher('reference/waypoints',Point, queue_size=10)
    rospy.init_node('circle_points', anonymous=True)
    rospy.loginfo('init_node')
    rate=rospy.Rate(10)
    rospy.sleep(48.)
    now = rospy.get_rostime().secs
    #now we publish the waypoints
    while not rospy.is_shutdown():
        x_pos = np.cos((rospy.get_rostime().secs-now)*np.pi/30)-1
        y_pos = np.sin((rospy.get_rostime().secs-now)*np.pi/30)
        z_pos = 5
        to_publish = Point(x=x_pos,y=y_pos,z=z_pos)
        pub.publish(to_publish)
        rate.sleep

if __name__ == '__main__':
    try:
        circle_points()
    except rospy.ROSInterruptException:
        pass
